package com.frikinjay.lmd.handlers;

import org.bukkit.Bukkit;
import org.bukkit.event.Listener;
import org.bukkit.plugin.Plugin;

public class DelayUtil implements Listener {
   private static Plugin plugin = null;
   private int id;

   public DelayUtil(Plugin instance) {
      this.id = -1;
      plugin = instance;
   }

   public DelayUtil(Runnable runnable) {
      this(runnable, 0L);
   }

   public DelayUtil(Runnable runnable, long delay) {
      this.id = -1;
      if (plugin.isEnabled()) {
         this.id = Bukkit.getScheduler().scheduleSyncDelayedTask(plugin, runnable, delay);
      } else {
         runnable.run();
      }

   }
}
